.home {
    height: fit-content;
    padding: 3vw;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.texts {
    display: flex;
    flex-direction: column;
    align-items: center;
    font-family: Amiko;
}

h1 {
    font-weight: 500;
}

.texts:first-of-type h1:first-child {
    font-size: 3em;
    line-height: .4;
}

h2 {
    font-weight: 400;
}

.underline {
    display: inline-block;
    width: 100%;
    height: 3px;
    z-index: 3;
    line-height: .4;
    pointer-events: none;
    border-radius: 1.25rem;
    background: #53A788;
    animation: bgtransition 6s infinite alternate;
}

@keyframes bgtransition {
    0% {
        background: #53A788;
    } 25% {
        background: #7DD1F1;
    } 50% {
        background: #E858AE;
    } 75% {
        background: #53A788;
    } 100% {
        background: #E858AE;
    }
}

.texts:first-of-type {
    height: 35vh;
    justify-content: space-between;
}

.horizontal-line {
    display: inline-block;
    width: 100%;
    margin-top: 3rem;
    margin-bottom: 3rem;
    border: 0;
    border-top: 1px solid #0C0D14;
}

.chat-layer1 {
    padding: 10px;
    display: flex;
    flex-direction: column;
    width: 80%;
    height: auto;
    min-height: 80vh;
    border-radius: 1.25rem;
    background: white;
    align-items: center;
    justify-content: space-evenly;
}

.outer-cam {
    display: flex;
    height: 25px;
    width: 25px;
    border-radius: 50%;
    background: #111;
    align-items: center;
    margin-bottom: 5px;
    justify-content: center;
}

.inner-cam {
    height: 15px;
    width: 15px;
    background: #999;
    border-radius: 50%;
}

.reflection {
    background-color: rgba(255,255,255,.5);
    position: absolute;
    width: 6px;
    height: 6px;
    border-radius: 50%;
    right: calc(50% - 6px);
}

.chat-layer2 {
    display: flex;
    flex-direction: column;
    width: 95%;
    height: -webkit-fill-available;
    border-radius: 1.25rem;
    background: #0C0D14;
    margin-bottom: 20px;
}

.chat {
    display: flex;
    flex-direction: column;
    padding: 3vw;
}

.user-info {
    display: flex;
    align-items: center;
    margin-bottom: 20px;
}

.picture {
    border-radius: 50%;
    background: black;
    margin-right: 1vw;
    height: 25px;
    width: 25px;
}

.user-name {
    font-weight: 500;
}

.message {
    display: flex;
    flex-direction: column;
    background: #181C28;
    border-radius: .75rem;
    margin-bottom: 20px;
    max-width: 50%;
    min-width: 35%;
    padding: 15px;
    text-align: justify;
}

.message.sent {
    align-self: flex-end;
}

.message.received {
    align-self: flex-start;
}

.message.sent .user-name {
    color: #E858AE;
}

.message.received .user-name {
    color: #7DD1F1;
}

input {
    background: #181C28;
    border-radius: 1.25rem;
    width: 100%;
    padding: .5vw .5vw .5vw 2vw;
    border: 0px;
    margin-right: 5px;
    box-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
}

.send {
    display: flex;
    margin-top: auto;
    align-items: center;
    padding: 1vh 3vw 1vh 3vw;
}

input[value] {
    color: white;
}

.btn-send {
    width: 35px;
    height: 35px;
    background: #53A788;
    border-radius: 50%;
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 2.2em;
}

@media (max-width: 620px) {
    .texts:first-of-type h1:first-child {
        font-size: 2em;
        line-height: .4;
        margin-top: 30px;
    }

    .message {
        max-width: 80%;
    }

    .chat-layer2 {
        max-height: 76vh;
    }

    .chat  {
        overflow: auto;
    }

    p {
        font-size: 0.8em;
    }
}